#ifndef POSTESTWIN_H
#define POSTESTWIN_H

#include <QWidget>
#include <QStandardItemModel>
#include <QItemSelectionModel>

namespace Ui {
class PosTestWin;
}

class PosTestWin : public QWidget
{
    Q_OBJECT

public:
    explicit PosTestWin(QWidget *parent = nullptr);
    ~PosTestWin();

signals:
    void writeDataSignal(const QByteArray &buf);
    void recvGsvSignal(const QString &cmd);

private slots:
    void recvBidHandle(const QString &cmd);
    void recvGgaHandle(const QString &cmd);
    void on_btnRdTest_clicked();
    void on_btnRnTest_clicked();
    void on_btnBack_clicked();
    void view_signal_clicked();
    void b1cBtn_clicked();
    void b3cBtn_clicked();
    void b1b3cBtn_clicked();
    void gpsBtn_clicked();
    void b1pBtn_clicked();
    void b3pBtn_clicked();
    void compatibleBtn_clicked();

private:
    Ui::PosTestWin *ui;
    QStandardItemModel *rnModel;
    QItemSelectionModel *rnSelect;
    QStandardItemModel *rdModel;
    QItemSelectionModel *rdSelect;
    void enableOnlyOneViewBtn(int row);
};

#endif // POSTESTWIN_H
