#ifndef RNSIGNALPAINTER_H
#define RNSIGNALPAINTER_H

#include <QWidget>
#include <QMap>
#include <QTimer>

namespace Ui {
class RnSignalPainter;
}

class RnSignalPainter : public QWidget
{
    Q_OBJECT

public:
    explicit RnSignalPainter(QWidget *parent = nullptr);
    ~RnSignalPainter();

private slots:
    void recvGsvHandle(const QString &cmd);
    void timerSnrTimeoutHandle();

protected:
    void paintEvent(QPaintEvent *event) Q_DECL_OVERRIDE;

private:
    Ui::RnSignalPainter *ui;
    QTimer *timerSnrTimeout;
    QMap<QPair<QString,QString>,QString> bdSnrMap;
    QMap<QPair<QString,QString>,QString> gpsSnrMap;
    QMap<QPair<QString,QString>,int> gpsTimeoutCountMap;
    QMap<QPair<QString,QString>,int> bdsTimeoutCountMap;
};

#endif // RNSIGNALPAINTER_H
